WebAPI.Host (3.0)
Download OpenAPI description
Languages
Servers
Mock server
https://{{your_venus_webapi_ip_address}}/
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/validation
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/validation?methodFilePath=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
0
Body
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-method
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-method' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"methodPath": "string",
"filePath": "string",
"exportOriginalFiles": true
}'Response
{ "result": true, "message": "string", "resetRunExec": true }
BodyArray []
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-methods
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-methods' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '[
{
"methodPath": "string",
"filePath": "string",
"exportOriginalFiles": true
}
]'Response
{ "result": true, "message": "string", "resetRunExec": true }